> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Manually trigger execution of a workflow



## OpenAPI

````yaml /openapi/workflows.json post /workflows/{id}/trigger
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/{id}/trigger:
    post:
      tags:
        - Workflows
      summary: Manually trigger execution of a workflow
      operationId: workflows.triggerExecution
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                triggerType:
                  anyOf:
                    - const: schedule
                    - const: event
                    - const: manual
                    - const: manual_file
                    - const: workflow_completion
                    - const: api
                entityType:
                  enum:
                    - transaction
                    - client
                  type: string
                entityId:
                  type: string
                  format: uuid
                inputs:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                uploadId:
                  type: string
                  format: uuid
                filename:
                  type: string
                payload: {}
              required:
                - triggerType
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      ok:
                        const: true
                      workflowId:
                        type: string
                        format: uuid
                      executionId:
                        type: string
                        format: uuid
                      status:
                        enum:
                          - queued
                          - completed
                          - waiting_for_input
                        type: string
                      error:
                        anyOf:
                          - type: string
                          - type: 'null'
                      producedRecords:
                        type: array
                        items:
                          type: object
                          properties:
                            resourceType:
                              type: string
                            id:
                              type: string
                            label:
                              anyOf:
                                - type: string
                                - type: 'null'
                            parentClientId:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - resourceType
                            - id
                            - label
                        default: []
                      alertIds:
                        type: array
                        items:
                          type: string
                      producedFiles:
                        type: array
                        items:
                          type: object
                          properties:
                            fileId:
                              type: string
                            nodeId:
                              type: string
                            columnName:
                              type: string
                            filename:
                              type: string
                            contentType:
                              type: string
                            size:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            kind:
                              enum:
                                - produced
                                - trigger_upload
                              type: string
                              default: produced
                            nodeLabel:
                              type: string
                          required:
                            - fileId
                            - nodeId
                            - columnName
                            - filename
                            - contentType
                            - size
                        default: []
                      durationMs:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      rowCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      schemaHash:
                        type: string
                    required:
                      - ok
                      - workflowId
                      - executionId
                      - status
                      - error
                      - alertIds
                      - durationMs
                  - type: object
                    properties:
                      ok:
                        const: false
                      workflowId:
                        type: string
                        format: uuid
                      code:
                        type: string
                      message:
                        type: string
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            path:
                              type: string
                            message:
                              type: string
                            keyword:
                              type: string
                          required:
                            - index
                            - path
                            - message
                            - keyword
                    required:
                      - ok
                      - workflowId
                      - code
                      - message
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````